#version 130
#ifdef VERTEX_SHADER_SOURCE

uniform mat4 mvMat;
uniform mat4 projMat;
uniform mat4 modelMat;

in vec3 inVertex;
in vec2 inTexCoord;
in vec3 inColor;
in vec3 inNormal;
out vec4 color;
out vec2 texCoord;
out vec4 worldVertex;

void main(void)
{
	mat4 finalMatrix = projMat * mvMat;
	gl_Position = finalMatrix * vec4(inVertex, 1.0);
	color = vec4(inColor, 1.0);
	texCoord = inTexCoord;
}
#endif

#ifdef FRAGMENT_SHADER_SOURCE
uniform sampler2D texture0;
uniform vec2 limits;

in vec4 color;
in  vec2 texCoord;
out vec4 outColor;
in vec4 worldVertex;

void main(void) {
	if(worldVertex.x < limits.x || worldVertex.x > limits.y)
		discard;

	outColor = color*texture(texture0, texCoord.st);

	//if(outColor.a < 0.3)
	//	discard;
}
#endif
